Bug 745971 - Beaker wizard should provide 'None' as Possible Value for attachment download
Summary: Beaker wizard should provide 'None' as Possible Value for attachment download
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line
Version: 0.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.12
Assignee: Iveta Wiedermann
QA Contact: Raymond Mancy
URL:
Whiteboard: BeakerWizard
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-13 14:32 UTC by David Kutálek
Modified: 2018-02-06 00:41 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-11 04:56:57 UTC


Attachments (Terms of Use)
Proposed patch (428 bytes, patch)
2013-02-18 08:43 UTC, Iveta Wiedermann
no flags Details | Diff

Description David Kutálek 2011-10-13 14:32:50 UTC
Description of problem:

Having some attachments in linked bugzilla bug, beaker-wizard offers these to download as reproducers. It is possible to say no one should be downloaded by using keyword None, however it is not mentioned to user.

So when listing attachments to choose, list also special keyword None in Possible Values.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Iveta Wiedermann 2013-02-14 16:23:32 UTC
Is it ok like this:

Which Bugzilla attachments do you wish to download?
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Possible values: None, repro1.rb, repro2.rb
[repro1.rb, repro2.rb?]

Or should be the 'None' value in the line '[repro1.rb, repro2.rb?]' as well?

Comment 2 David Kutálek 2013-02-15 10:08:56 UTC
In brackets we have list of attachments to download, and imho it doesn't make sense to include None there.

Probably with only exception, when there is no attachement - then None should be there as the only item.

Comment 3 Iveta Wiedermann 2013-02-18 08:43:44 UTC
Created attachment 698767 [details]
Proposed patch

Comment 4 Nick Coghlan 2013-02-25 06:17:36 UTC
State adjusted back to ASSIGNED - the patch is appreciated Iveta, but the bug states are actually used to track the process of including a change into the main Beaker code base through Gerrit (i.e. POST when the Gerrit review is up, MODIFIED when the change is merged in Gerrit)

More details here: http://beaker-project.org/dev-guide.html#submitting-your-patch

If you could upload your patch as a Gerrit review (and move the bug status to POST), that would be great, otherwise one of the development team should get to it before the upcoming 0.12 release.

Comment 5 Qixiang Wan 2013-03-21 06:34:15 UTC
uploaded Iveta's patch to gerrit: http://gerrit.beaker-project.org/#/c/1813/

Comment 7 Raymond Mancy 2013-04-02 23:45:01 UTC
It's not immediately apparent to me how we get beaker-wizard to confirm the reproducers we want to download.

Comment 8 Amit Saha 2013-04-02 23:56:22 UTC
I think this one might help: https://bugzilla.redhat.com/show_bug.cgi?id=227655

Comment 9 Amit Saha 2013-04-03 00:01:37 UTC
Or may be not:

beaker-wizard -by 227655
/home/asaha/.beaker_client/config not found, using /etc/beaker/client.conf
Contacting bugzilla...
Fetching details for BZ#227655
Examining attachments for possible reproducers
Traceback (most recent call last):
  File "/usr/bin/beaker-wizard", line 9, in <module>
    load_entry_point('bkr.client==0.11.2', 'console_scripts', 'beaker-wizard')()
  File "/usr/lib/python2.6/site-packages/bkr/client/wizard.py", line 2623, in main
    test = Test(options)
  File "/usr/lib/python2.6/site-packages/bkr/client/wizard.py", line 1089, in __init__
    self.init()
  File "/usr/lib/python2.6/site-packages/bkr/client/wizard.py", line 2325, in init
    self.testname = Name(self.options)
  File "/usr/lib/python2.6/site-packages/bkr/client/wizard.py", line 1089, in __init__
    self.init()
  File "/usr/lib/python2.6/site-packages/bkr/client/wizard.py", line 1846, in init
    self.bugs.fetchBugDetails()
  File "/usr/lib/python2.6/site-packages/bkr/client/wizard.py", line 1776, in fetchBugDetails
    self.reproducers.find(self.bug)
  File "/usr/lib/python2.6/site-packages/bkr/client/wizard.py", line 1908, in find
    if attachment['ispatch'] == 0 and attachment['isobsolete'] == 0:
KeyError: 'ispatch'

Comment 10 Raymond Mancy 2013-04-03 02:28:22 UTC
Verified:

Which Bugzilla attachments do you wish to download?
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Possible values: None, test.pl, libnet.cfg
Wizard can download Bugzilla attachments for you. It suggests those
which look like reproducers, but you can pick the right attachments
manually as well.
[test.pl, libnet.cfg?] None

Comment 11 Dan Callaghan 2013-04-11 04:56:57 UTC
Beaker 0.12 has been released.


Note You need to log in before you can comment on or make changes to this bug.